Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdatareplacedatanomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdatareplacedatanomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "replaceData(offset,count,arg)" method raises a NO_MODIFICATION_ALLOWED_ERR DOMException if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Get the FIRST item from the entity reference and execute the "replaceData(offset,count,arg)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-E5CBA7FB , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-E5CBA7FB')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-E5CBA7FB

Definition at line 48 of file characterdatareplacedatanomodificationallowederr.java.

## Constructor & Destructor Documentation

characterdatareplacedatanomodificationallowederr::characterdatareplacedatanomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file characterdatareplacedatanomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00051                                      {
    00052
    00053       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00054 DocumentBuilderSetting.notExpandEntityReferences
    00055         };
    00056         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00057         setFactory(testFactory);
    00058
    00059    }

## Member Function Documentation

String characterdatareplacedatanomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 88 of file characterdatareplacedatanomodificationallowederr.java.
    00088                                 {
    00089       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdatareplacedatanomodificationallowederr";
    00090    }

void characterdatareplacedatanomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 91 of file characterdatareplacedatanomodificationallowederr.java. References DOMTestCase::doMain().
    00091                                           {
    00092         DOMTestCase.doMain(characterdatareplacedatanomodificationallowederr.class,args);
    00093    }

void characterdatareplacedatanomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file characterdatareplacedatanomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       NodeList genderList;
    00064       Node genderNode;
    00065       Node entElement;
    00066       Node entElementContent;
    00067       EntityReference entReference;
    00068       doc = load("staff");
    00069       genderList = doc.getElementsByTagName("gender");
    00070       genderNode = genderList.item(2);
    00071       entReference = (EntityReference)genderNode.getFirstChild();
    00072       entElement = entReference.getFirstChild();
    00073       entElementContent = entElement.getFirstChild();
    00074
    00075         {
    00076                 boolean success = false;
    00077                 try {
    00078                         ((CharacterData)/*Node*/entElementContent).replaceData(1,3,"newArg");
    00079
    00080                 }
    00081                 catch(DOMException ex) {
    00082                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00083                 }
    00084                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00085         }
    00086
    00087    }

The documentation for this class was generated from the following file:

- characterdatareplacedatanomodificationallowederr.java